Get certified for free when you join Fabric Data Days 2026 and dive into Fabric, Power BI, SQL, AI, and other essential data skills.
Join nowTry your skills in the Power BI Dataviz World Championship! Round one ends June 26. Join now
I am trying to generate Embed token with RLS using POSTMAN providing parameters:
POST https://api.powerbi.com/v1.0/myorg/groups/{GROUP ID}/reports/{REPORT ID}/GenerateToken
headers = {
Authorization: Bearer + {access_token from first post}
Content-Type:application/json; charset=utf-8
Accept:application/json
}
data= {
"accessLevel": "View",
"allowSaveAs": "false"
"identities": [
{
"username": "[email protected]",
"roles": [ "abc" ],
"datasets": [ "datasetID" ]
}
]
}
The generated token checked on https://microsoft.github.io/PowerBI-JavaScript/demo/v2-demo/index.html#
Embeded URL: https://api.powerbi.com/v1.0/myorg/groups/GROUPID/reports/REPORTID/GenerateToken
It is showing whole report without applying RLS. Is this approch is correct?
It will be great if someone suggest ans ASAP.
Any suggestions?
Don't miss out on Data Days, June 15 through August 7. Learn Fabric, Power BI, SQL, AI and more.
Check out the May 2026 Power BI update to learn about new features.
| User | Count |
|---|---|
| 2 | |
| 2 | |
| 1 | |
| 1 | |
| 1 |